Search companies with autocomplete
curl --request GET \
--url https://prod.truv.com/v1/company-mappings-search/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/company-mappings-search/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/company-mappings-search/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"company_mapping_id": "48427a36d43c4d5aa6324bc06c692456",
"name": "Facebook Demo",
"domain": "facebook.com",
"success_rate": "high",
"confidence_level": "0.9",
"logo_url": "https://cdn.truv.com/facebook.png",
"sso": {
"name": "Microsoft"
}
}
]{
"error": {
"code": "incorrect_parameters",
"message": "Incorrect request parameters",
"extra": {
"invalid-params": [
{
"field": "access_token",
"message": "This field is required."
}
]
}
}
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Companies
Search companies with autocomplete
The endpoint provides company search using prefix.
GET
/
v1
/
company-mappings-search
/
Search companies with autocomplete
Authorizations
Client ID
Client Access Key
Query Parameters
Search query to find companies. Searches across company names, domains, and synonyms. Supports partial matching and fuzzy matching for typos.
Product type for success rate calculation
Available options:
income, employment, deposit_switch, pll Example:
"income"
Response
Company to Payroll Provider mapping ID
Maximum string length:
64Example:
"48427a36d43c4d5aa6324bc06c692456"
Company name
Maximum string length:
128Example:
"Facebook Demo"
Company domain
Maximum string length:
128Example:
"facebook.com"
Success rate for the company
Available options:
low, high, unsupported, null Example:
"high"
Confidence level for the company success rate. Range of possible values is from 0 to 1 with 0.5 and above being high success rate
Example:
"0.9"
URL to company logo
Example:
"https://cdn.truv.com/facebook.png"
SSO provider for the company
Show child attributes
Show child attributes
Was this page helpful?